diff --git a/doc/builtins.0 b/doc/builtins.0
index 26e11d67..f37aab9e 100644
--- a/doc/builtins.0
+++ b/doc/builtins.0
@@ -1053,21 +1053,28 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                       applies to the shell environment and each subshell envi-
                       ronment  separately  (see  CCOOMMMMAANNDD EEXXEECCUUTTIIOONN EENNVVIIRROONNMMEENNTT
                       above), and may cause subshells to exit before executing
-                      all the commands in the subshell.
+                      all  the  commands in the subshell.  If a shell function
+                      executes in a context where --ee is being ignored, even if
+                      --ee  is  set,  none  of  the commands executed within the
+                      function body will be affected by the --ee setting.  If  a
+                      shell  function  sets  --ee  while  executing in a context
+                      where --ee is ignored, that  setting  will  not  have  any
+                      effect  until  the  command containing the function call
+                      completes.
               --ff      Disable pathname expansion.
-              --hh      Remember  the location of commands as they are looked up
+              --hh      Remember the location of commands as they are looked  up
                       for execution.  This is enabled by default.
-              --kk      All arguments in the form of assignment  statements  are
-                      placed  in the environment for a command, not just those
+              --kk      All  arguments  in the form of assignment statements are
+                      placed in the environment for a command, not just  those
                       that precede the command name.
-              --mm      Monitor mode.  Job control is enabled.  This  option  is
-                      on  by  default  for  interactive shells on systems that
-                      support it (see JJOOBB CCOONNTTRROOLL above).  All  processes  run
+              --mm      Monitor  mode.   Job control is enabled.  This option is
+                      on by default for interactive  shells  on  systems  that
+                      support  it  (see JJOOBB CCOONNTTRROOLL above).  All processes run
                       in a separate process group.  When a background job com-
                       pletes, the shell prints a line containing its exit sta-
                       tus.
               --nn      Read commands but do not execute them.  This may be used
-                      to check a shell script  for  syntax  errors.   This  is
+                      to  check  a  shell  script  for syntax errors.  This is
                       ignored by interactive shells.
               --oo _o_p_t_i_o_n_-_n_a_m_e
                       The _o_p_t_i_o_n_-_n_a_m_e can be one of the following:
@@ -1075,10 +1082,10 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                               Same as --aa.
                       bbrraacceeeexxppaanndd
                               Same as --BB.
-                      eemmaaccss   Use  an  emacs-style command line editing inter-
+                      eemmaaccss   Use an emacs-style command line  editing  inter-
                               face.  This is enabled by default when the shell
                               is interactive, unless the shell is started with
-                              the ----nnooeeddiittiinngg option.  This also  affects  the
+                              the  ----nnooeeddiittiinngg  option.  This also affects the
                               editing interface used for rreeaadd --ee.
                       eerrrreexxiitt Same as --ee.
                       eerrrrttrraaccee
@@ -1092,8 +1099,8 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                               HHIISSTTOORRYY.  This option is on by default in inter-
                               active shells.
                       iiggnnoorreeeeooff
-                              The   effect   is   as   if  the  shell  command
-                              ``IGNOREEOF=10'' had been  executed  (see  SShheellll
+                              The  effect  is  as   if   the   shell   command
+                              ``IGNOREEOF=10''  had  been  executed (see SShheellll
                               VVaarriiaabblleess above).
                       kkeeyywwoorrdd Same as --kk.
                       mmoonniittoorr Same as --mm.
